Summary: A text-based Web browser.
Name: lynx
Version: 2.8.3
Release: 2
Copyright: GPL
Group: Applications/Internet
Source0: http://sol.slcc.edu/lynx/current/lynx%{version}dev.18.tar.bz2
Patch0: lynx2-8-3-redhat.patch
Patch1: lynx2-8-3-overflow.patch
Patch2: lynx2-8-2-telnet.patch
Patch3: lynx-ftprfc.diff
Patch4: lynx2-8-3-passive.patch
Requires: indexhtml
Provides: webclient
Buildroot: /var/tmp/lynx-root

%description
Lynx is a text-based Web browser. Lynx does not display any images,
but it does support frames, tables and most other HTML tags. Lynx's
advantage over graphical browsers is its speed--Lynx starts and exits
quickly and swiftly displays Web pages.

Install lynx if you would like to try this fast, non-graphical browser
(you may learn to appreciate its strengths).

%prep
%setup -q -n lynx2-8-3
%patch0 -p1 -b .redhat
%patch1 -p1 -b .overflow
%patch2 -p1 -b .telnet
%patch4 -p1 -b .passive

%build
%configure --libdir=/etc \
	--with-screen=slang --enable-warnings \
	--enable-default-colors --enable-externs \
	--enable-internal-links --enable-nsl-fork \
	--enable-persistent-cookies --enable-prettysrc \
	--disable-font-switch --enable-source-cache \
	--enable-kbd-layout --with-zlib \
	--enable-cgi-links
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/etc

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Internet/lynx.desktop <<EOF
[Desktop Entry]
Name=Lynx
Type=Application
Comment=Text based WWW browser
Exec=lynx
Terminal=true
EOF

strip $RPM_BUILD_ROOT/usr/bin/lynx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help
%config(missingok) /etc/X11/applnk/Internet/lynx.desktop
/usr/bin/lynx
/usr/man/man1/lynx.1*
%config /etc/lynx.cfg

%changelog
* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb 05 2000 Cristian Gafton <gafton@redhat.com>
- version 2.8.3dev18
- drop the RFC compliance patch - they seemed to have done theiir own
- pray that ported patches are okay

* Mon Jan 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add "passive mode ftp" option, activated by PASSIVE:TRUE in /etc/lynx.cfg
- turn on "PASSIVE:TRUE" by default
- deal with the fact that RPM compresses man pages.

* Sun Jan 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add "view with less" download option

* Wed Nov  3 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compliance with RFCs describing FTP.
  We can now connect to wu-ftpd >= 2.6.0 based servers.

* Wed Aug 25 1999 Bill Nottingham <notting@redhat.com>
- fix path to help file.
- turn off font switching
- disable args to telnet.

* Tue Jun 15 1999 Bill Nottingham <notting@redhat.com>
- update to 2.8.2

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- apply some update patches from the lynx folks
- set user's TEMP dir to their home dir to avoid /tmp races

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Mon Nov 30 1998 Bill Nottingham <notting@redhat.com>
- create cookie file 0600

* Fri Nov  6 1998 Bill Nottingham <notting@redhat.com>
- update to 2.8.1rel2

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- 2.8.1pre9
- strip binaries

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to lynx2.8.1pre.7.tar.gz

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8rel3
- fixed mailto: buffer overflow (used Alan's patch)

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8
- added buildroot

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- updated to 2.7.2
- enabled lynxcgi

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.6 to 2.7.1
- moved /usr/lib/lynx.cfg to /etc/lynx.cfg
- build with slang instead of ncurses
- made default startup file be file:/usr/doc/HTML/index.html

